Detect And Respond Threshold Overrides
Returns an array of Threshold Overrides.
List of Requested Threshold Overrides
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/triggers HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}
]
}Create or update threshold overrides given the provided object.
Threshold Override Create or Update Config
List of Requested Threshold Overrides
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/triggers HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}
]
}Deletes custom threshold overrides.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/triggers HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Returns an array of Threshold Overrides for the specified algorithm.
The algorithm to fetch threshold overrides for.
List of Requested Threshold Overrides
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/triggers/algorithms/{algorithm} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}
]
}Deletes threshold overrides for the specified algorithm.
The algorithm to delete threshold overrides for.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/triggers/algorithms/{algorithm} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Returns an array of Threshold Overrides for the specified object.
The object to fetch threshold overrides for.
List of Requested Threshold Overrides
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/triggers/objects/{object} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}
]
}Deletes threshold overrides for the specified object.
The object to delete threshold overrides for.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/triggers/objects/{object} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Returns an array of Threshold Overrides for the specified algorithm and object.
The algorithm to fetch threshold overrides for.
The object to fetch threshold overrides for.
List of Requested Threshold Overrides
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/triggers/algorithms/{algorithm}/objects/{object} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algorithm": "text",
"auto": true,
"beta": true,
"bypassdisplay": true,
"bypassrule": true,
"createdby": "text",
"default": true,
"discards": [],
"items": "text",
"ndm_score_confidence": 1,
"ndm_score_threat": 1,
"rollupperiod": 1,
"sharedkey": true,
"state": "text",
"thresholds": [
{
"severity": "low",
"threshold": "text"
}
],
"track": "text",
"updateinterval": 1
}
]
}Deletes threshold overrides for the specified algorithm and object.
The algorithm to delete threshold overrides for.
The object to delete threshold overrides for.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/triggers/algorithms/{algorithm}/objects/{object} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated